Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Class AccessibleResourceBundle

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle
              javax.accessibility.AccessibleResourceBundle

Deprecated. This class is deprecated as of version 1.3 of the Java 2 Platform.

public class AccessibleResourceBundle
extends ListResourceBundle

A resource bundle containing the localized strings in the accessibility package. This is meant only for internal use by Java Accessibility and is not meant to be used by assistive technologies or applications.

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`AccessibleResourceBundle()` Deprecated.

Method Summary
`Object[][]` | `getContents()` Deprecated. Returns the mapping between the programmatic keys and the localized display strings.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessibleResourceBundle

    public AccessibleResourceBundle()

  Deprecated.

Method Detail

### getContents

    public Object[][] getContents()

  Deprecated.
  Returns the mapping between the programmatic keys and the localized display strings.

  Specified by:
    `getContents` in class `ListResourceBundle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.